Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlCalendar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UICalendar
                          org.richfaces.component.html.HtmlCalendar

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent

    public class HtmlCalendar

extends UICalendar

Component-Type org.richfaces.Calendar Component-Family org.richfaces.Calendar Renderer-Type org.richfaces.CalendarRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UICalendar
`AJAX_MODE, CLIENT_MODE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlCalendar()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getBoundaryDatesMode()` Used for the dates boundaries in the list.
`java.lang.String` | `getButtonClass()` Style Class attribute for the popup button Getter for buttonClass
`java.lang.String` | `getButtonIcon()` Defines icon for the popup button element.
`java.lang.String` | `getButtonIconDisabled()` Defines disabled icon for the popup button element.
`java.lang.String` | `getButtonLabel()` Defines label for the popup button element.
`java.lang.String` | `getCellHeight()` attribute to set fixed cells height Getter for cellHeight
`java.lang.String` | `getCellWidth()` attribute to set fixed cells width Getter for cellWidth
`java.lang.Object` | `getCurrentDate()` Defines current date Getter for currentDate
`javax.faces.el.MethodBinding` | `getCurrentDateChangeListener()` MethodBinding representing an action listener method that will be notified after date selection Getter for currentDateChangeListener
`java.lang.Object` | `getData()` data Getter for data
`org.richfaces.model.CalendarDataModel` | `getDataModel()` Used to provide data for calendar elements.
`java.lang.String` | `getDatePattern()` Defines date pattern Getter for datePattern
`java.lang.String` | `getDayStyleClass()` Should be binded to some JS function that will provide style classes for special sets of days highlighting.
`java.lang.String` | `getDirection()` Defines direction of the calendar popup (top-left, top-right, bottom-left, bottom-right (Default), auto) Getter for direction
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`int` | `getHorizontalOffset()` Sets the horizontal offset between button and calendar element conjunction point Getter for horizontalOffset
`java.lang.String` | `getInputClass()` Style Class attribute for the text field Getter for inputClass
`int` | `getInputSize()` ${prop.xmlEncodedDescription} Getter for inputSize
`java.lang.String` | `getInputStyle()` Style attribute for text field Getter for inputStyle
`java.lang.String` | `getIsDayEnabled()` Should be binded to some JS function that returns day state.
`java.lang.String` | `getJointPoint()` Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto) Getter for jointPoint
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`java.lang.Object` | `getLocale()` Used for locale definition Getter for locale
`java.lang.String` | `getMode()` Valid values = ajax or client Getter for mode
`java.lang.Object` | `getMonthLabels()` Attribute that allows to customize names of the months.
`java.lang.Object` | `getMonthLabelsShort()` Attribute that allows to customize short names of the months.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnchanged()` onChanged event handler Getter for onchanged
`java.lang.String` | `getOncollapse()` onCollapse event handler Getter for oncollapse
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOncurrentdateselect()` onCurrentDateSelect event handler Getter for oncurrentdateselect
`java.lang.String` | `getOncurrentdateselected()` onCurrentDateSelected event handler Getter for oncurrentdateselected
`java.lang.String` | `getOndatemouseout()` onDateMouseOut event handler Getter for ondatemouseout
`java.lang.String` | `getOndatemouseover()` onDateMouseOver event handler Getter for ondatemouseover
`java.lang.String` | `getOndateselect()` onDateSelect event handler Getter for ondateselect
`java.lang.String` | `getOndateselected()` onDateSelected event handler Getter for ondateselected
`java.lang.String` | `getOnexpand()` onExpand event handler Getter for onexpand
`java.lang.String` | `getOninputblur()` input onBlur event handler Getter for oninputblur
`java.lang.String` | `getOninputchange()` input onChange event handler Getter for oninputchange
`java.lang.String` | `getOninputclick()` input onClick event handler Getter for oninputclick
`java.lang.String` | `getOninputfocus()` input onFocus event handler Getter for oninputfocus
`java.lang.String` | `getOninputkeydown()` input onKeyDown event handler Getter for oninputkeydown
`java.lang.String` | `getOninputkeypress()` input onKeyPress event handler Getter for oninputkeypress
`java.lang.String` | `getOninputkeyup()` input onKeyUp event handler Getter for oninputkeyup
`java.lang.String` | `getOninputselect()` input onSelect event handler Getter for oninputselect
`java.lang.String` | `getOntimeselect()` onTimeSelect event handler Getter for ontimeselect
`java.lang.String` | `getOntimeselected()` onTimeSelected event handler Getter for ontimeselected
`java.lang.Object` | `getPreloadDateRangeBegin()` Define the initial range of date which will be loaded to client from dataModel under rendering Getter for preloadDateRangeBegin
`java.lang.Object` | `getPreloadDateRangeEnd()` Defines the last range of date which will be loaded to client from dataModel under rendering Getter for preloadDateRangeEnd
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`int` | `getTimeout()` Response waiting time on a particular request.
`java.util.TimeZone` | `getTimeZone()` Used for current date calculations Getter for timeZone
`java.lang.String` | `getTodayControlMode()` Possible values are "scroll", "select", "hidden" Getter for todayControlMode
`java.lang.String` | `getToolTipMode()` Used to specify mode to load tooltips.
`int` | `getVerticalOffset()` Sets the vertical offset between button and calendar element conjunction point Getter for verticalOffset
`java.lang.Object` | `getWeekDayLabels()` List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Getter for weekDayLabels
`java.lang.Object` | `getWeekDayLabelsShort()` Attribute that allows to customize short names of the weeks.
`int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isDisabled()` If "true", rendered is disabled.
`boolean` | `isEnableManualInput()` If "true" calendar input will be editable and it will be possible to change the date manualy.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`boolean` | `isPopup()` If "true" calendar will be rendered initially as hidden with additional elements for calling as popup Getter for popup
`boolean` | `isShowApplyButton()` If false ApplyButton should not be shown Getter for showApplyButton
`boolean` | `isShowFooter()` If false Calendar's footer should not be shown Getter for showFooter
`boolean` | `isShowHeader()` If false Calendar's header should not be shown Getter for showHeader
`boolean` | `isShowInput()` "false" value for this attribute makes text field invisible.
`boolean` | `isShowWeekDaysBar()` If false this bar should not be shown Getter for showWeekDaysBar
`boolean` | `isShowWeeksBar()` If false this bar should not be shown Getter for showWeeksBar
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setBoundaryDatesMode(java.lang.String __boundaryDatesMode)` Used for the dates boundaries in the list.
`void` | `setButtonClass(java.lang.String __buttonClass)` Style Class attribute for the popup button Setter for buttonClass
`void` | `setButtonIcon(java.lang.String __buttonIcon)` Defines icon for the popup button element.
`void` | `setButtonIconDisabled(java.lang.String __buttonIconDisabled)` Defines disabled icon for the popup button element.
`void` | `setButtonLabel(java.lang.String __buttonLabel)` Defines label for the popup button element.
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setCellHeight(java.lang.String __cellHeight)` attribute to set fixed cells height Setter for cellHeight
`void` | `setCellWidth(java.lang.String __cellWidth)` attribute to set fixed cells width Setter for cellWidth
`void` | `setCurrentDate(java.lang.Object __currentDate)` Defines current date Setter for currentDate
`void` | `setCurrentDateChangeListener(javax.faces.el.MethodBinding __currentDateChangeListener)` MethodBinding representing an action listener method that will be notified after date selection Setter for currentDateChangeListener
`void` | `setData(java.lang.Object __data)` data Setter for data
`void` | `setDataModel(org.richfaces.model.CalendarDataModel __dataModel)` Used to provide data for calendar elements.
`void` | `setDatePattern(java.lang.String __datePattern)` Defines date pattern Setter for datePattern
`void` | `setDayStyleClass(java.lang.String __dayStyleClass)` Should be binded to some JS function that will provide style classes for special sets of days highlighting.
`void` | `setDirection(java.lang.String __direction)` Defines direction of the calendar popup (top-left, top-right, bottom-left, bottom-right (Default), auto) Setter for direction
`void` | `setDisabled(boolean __disabled)` If "true", rendered is disabled.
`void` | `setEnableManualInput(boolean __enableManualInput)` If "true" calendar input will be editable and it will be possible to change the date manualy.
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setHorizontalOffset(int __horizontalOffset)` Sets the horizontal offset between button and calendar element conjunction point Setter for horizontalOffset
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setInputClass(java.lang.String __inputClass)` Style Class attribute for the text field Setter for inputClass
`void` | `setInputSize(int __inputSize)` ${prop.xmlEncodedDescription} Setter for inputSize
`void` | `setInputStyle(java.lang.String __inputStyle)` Style attribute for text field Setter for inputStyle
`void` | `setIsDayEnabled(java.lang.String __isDayEnabled)` Should be binded to some JS function that returns day state.
`void` | `setJointPoint(java.lang.String __jointPoint)` Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto) Setter for jointPoint
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setLocale(java.lang.Object __locale)` Used for locale definition Setter for locale
`void` | `setMode(java.lang.String __mode)` Valid values = ajax or client Setter for mode
`void` | `setMonthLabels(java.lang.Object __monthLabels)` Attribute that allows to customize names of the months.
`void` | `setMonthLabelsShort(java.lang.Object __monthLabelsShort)` Attribute that allows to customize short names of the months.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnchanged(java.lang.String __onchanged)` onChanged event handler Setter for onchanged
`void` | `setOncollapse(java.lang.String __oncollapse)` onCollapse event handler Setter for oncollapse
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOncurrentdateselect(java.lang.String __oncurrentdateselect)` onCurrentDateSelect event handler Setter for oncurrentdateselect
`void` | `setOncurrentdateselected(java.lang.String __oncurrentdateselected)` onCurrentDateSelected event handler Setter for oncurrentdateselected
`void` | `setOndatemouseout(java.lang.String __ondatemouseout)` onDateMouseOut event handler Setter for ondatemouseout
`void` | `setOndatemouseover(java.lang.String __ondatemouseover)` onDateMouseOver event handler Setter for ondatemouseover
`void` | `setOndateselect(java.lang.String __ondateselect)` onDateSelect event handler Setter for ondateselect
`void` | `setOndateselected(java.lang.String __ondateselected)` onDateSelected event handler Setter for ondateselected
`void` | `setOnexpand(java.lang.String __onexpand)` onExpand event handler Setter for onexpand
`void` | `setOninputblur(java.lang.String __oninputblur)` input onBlur event handler Setter for oninputblur
`void` | `setOninputchange(java.lang.String __oninputchange)` input onChange event handler Setter for oninputchange
`void` | `setOninputclick(java.lang.String __oninputclick)` input onClick event handler Setter for oninputclick
`void` | `setOninputfocus(java.lang.String __oninputfocus)` input onFocus event handler Setter for oninputfocus
`void` | `setOninputkeydown(java.lang.String __oninputkeydown)` input onKeyDown event handler Setter for oninputkeydown
`void` | `setOninputkeypress(java.lang.String __oninputkeypress)` input onKeyPress event handler Setter for oninputkeypress
`void` | `setOninputkeyup(java.lang.String __oninputkeyup)` input onKeyUp event handler Setter for oninputkeyup
`void` | `setOninputselect(java.lang.String __oninputselect)` input onSelect event handler Setter for oninputselect
`void` | `setOntimeselect(java.lang.String __ontimeselect)` onTimeSelect event handler Setter for ontimeselect
`void` | `setOntimeselected(java.lang.String __ontimeselected)` onTimeSelected event handler Setter for ontimeselected
`void` | `setPopup(boolean __popup)` If "true" calendar will be rendered initially as hidden with additional elements for calling as popup Setter for popup
`void` | `setPreloadDateRangeBegin(java.lang.Object __preloadDateRangeBegin)` Define the initial range of date which will be loaded to client from dataModel under rendering Setter for preloadDateRangeBegin
`void` | `setPreloadDateRangeEnd(java.lang.Object __preloadDateRangeEnd)` Defines the last range of date which will be loaded to client from dataModel under rendering Setter for preloadDateRangeEnd
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setShowApplyButton(boolean __showApplyButton)` If false ApplyButton should not be shown Setter for showApplyButton
`void` | `setShowFooter(boolean __showFooter)` If false Calendar's footer should not be shown Setter for showFooter
`void` | `setShowHeader(boolean __showHeader)` If false Calendar's header should not be shown Setter for showHeader
`void` | `setShowInput(boolean __showInput)` "false" value for this attribute makes text field invisible.
`void` | `setShowWeekDaysBar(boolean __showWeekDaysBar)` If false this bar should not be shown Setter for showWeekDaysBar
`void` | `setShowWeeksBar(boolean __showWeeksBar)` If false this bar should not be shown Setter for showWeeksBar
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setTimeZone(java.util.TimeZone __timeZone)` Used for current date calculations Setter for timeZone
`void` | `setTodayControlMode(java.lang.String __todayControlMode)` Possible values are "scroll", "select", "hidden" Setter for todayControlMode
`void` | `setToolTipMode(java.lang.String __toolTipMode)` Used to specify mode to load tooltips.
`void` | `setVerticalOffset(int __verticalOffset)` Sets the vertical offset between button and calendar element conjunction point Setter for verticalOffset
`void` | `setWeekDayLabels(java.lang.Object __weekDayLabels)` List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Setter for weekDayLabels
`void` | `setWeekDayLabelsShort(java.lang.Object __weekDayLabelsShort)` Attribute that allows to customize short names of the weeks.
`void` | `setZindex(int __zindex)` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

Methods inherited from class org.richfaces.component.UICalendar
`addCurrentDateChangeListener, broadcast, convertCurrentDate, getAsDate, getAsLocale, getCalendar, getConvertedValue, getCurrentDateChangeListeners, getCurrentDateOrDefault, getDefaultFirstWeekDay, getDefaultLocale, getDefaultMinDaysInFirstWeek, getDefaultPreloadBegin, getDefaultPreloadEnd, getDefaultTimeZone, getFirstWeekDay, getMinDaysInFirstWeek, getPreload, getPreloadDateRange, getTooltip, parseLocale, removeCurrentDateChangeListener, setFirstWeekDay, setMinDaysInFirstWeek, updateCurrentDate, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCalendar

    public HtmlCalendar()

  Constructor to init default renderers

Method Detail

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setBoundaryDatesMode

    public void setBoundaryDatesMode(java.lang.String __boundaryDatesMode)

  Used for the dates boundaries in the list. Valid values are "inactive" (Default) dates inactive and gray colored, "scroll" boundaries work as month scrolling controls, and "select" boundaries work in the same way as "scroll" but with the date clicked selection Setter for boundaryDatesMode

  Specified by:
    `setBoundaryDatesMode` in class `UICalendar`
  Parameters:
    `boundaryDatesMode` - - new value

### getBoundaryDatesMode

    public java.lang.String getBoundaryDatesMode()

  Used for the dates boundaries in the list. Valid values are "inactive" (Default) dates inactive and gray colored, "scroll" boundaries work as month scrolling controls, and "select" boundaries work in the same way as "scroll" but with the date clicked selection Getter for boundaryDatesMode

  Specified by:
    `getBoundaryDatesMode` in class `UICalendar`
  Returns:
    boundaryDatesMode value from local variable or value bindings

### setButtonClass

    public void setButtonClass(java.lang.String __buttonClass)

  Style Class attribute for the popup button Setter for buttonClass

  Parameters:
    `buttonClass` - - new value

### getButtonClass

    public java.lang.String getButtonClass()

  Style Class attribute for the popup button Getter for buttonClass

  Returns:
    buttonClass value from local variable or value bindings

### setButtonIcon

    public void setButtonIcon(java.lang.String __buttonIcon)

  Defines icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Setter for buttonIcon

  Parameters:
    `buttonIcon` - - new value

### getButtonIcon

    public java.lang.String getButtonIcon()

  Defines icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Getter for buttonIcon

  Returns:
    buttonIcon value from local variable or value bindings

### setButtonIconDisabled

    public void setButtonIconDisabled(java.lang.String __buttonIconDisabled)

  Defines disabled icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Setter for buttonIconDisabled

  Parameters:
    `buttonIconDisabled` - - new value

### getButtonIconDisabled

    public java.lang.String getButtonIconDisabled()

  Defines disabled icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Getter for buttonIconDisabled

  Returns:
    buttonIconDisabled value from local variable or value bindings

### setButtonLabel

    public void setButtonLabel(java.lang.String __buttonLabel)

  Defines label for the popup button element. If the attribute is set "buttonIcon" and "buttonIconDisabled" are ignored Setter for buttonLabel

  Specified by:
    `setButtonLabel` in class `UICalendar`
  Parameters:
    `buttonLabel` - - new value

### getButtonLabel

    public java.lang.String getButtonLabel()

  Defines label for the popup button element. If the attribute is set "buttonIcon" and "buttonIconDisabled" are ignored Getter for buttonLabel

  Specified by:
    `getButtonLabel` in class `UICalendar`
  Returns:
    buttonLabel value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setCellHeight

    public void setCellHeight(java.lang.String __cellHeight)

  attribute to set fixed cells height Setter for cellHeight

  Specified by:
    `setCellHeight` in class `UICalendar`
  Parameters:
    `cellHeight` - - new value

### getCellHeight

    public java.lang.String getCellHeight()

  attribute to set fixed cells height Getter for cellHeight

  Specified by:
    `getCellHeight` in class `UICalendar`
  Returns:
    cellHeight value from local variable or value bindings

### setCellWidth

    public void setCellWidth(java.lang.String __cellWidth)

  attribute to set fixed cells width Setter for cellWidth

  Specified by:
    `setCellWidth` in class `UICalendar`
  Parameters:
    `cellWidth` - - new value

### getCellWidth

    public java.lang.String getCellWidth()

  attribute to set fixed cells width Getter for cellWidth

  Specified by:
    `getCellWidth` in class `UICalendar`
  Returns:
    cellWidth value from local variable or value bindings

### setCurrentDate

    public void setCurrentDate(java.lang.Object __currentDate)

  Defines current date Setter for currentDate

  Specified by:
    `setCurrentDate` in class `UICalendar`
  Parameters:
    `currentDate` - - new value

### getCurrentDate

    public java.lang.Object getCurrentDate()

  Defines current date Getter for currentDate

  Specified by:
    `getCurrentDate` in class `UICalendar`
  Returns:
    currentDate value from local variable or value bindings

### setCurrentDateChangeListener

    public void setCurrentDateChangeListener(javax.faces.el.MethodBinding __currentDateChangeListener)

  MethodBinding representing an action listener method that will be notified after date selection Setter for currentDateChangeListener

  Specified by:
    `setCurrentDateChangeListener` in class `UICalendar`
  Parameters:
    `currentDateChangeListener` - - new value

### getCurrentDateChangeListener

    public javax.faces.el.MethodBinding getCurrentDateChangeListener()

  MethodBinding representing an action listener method that will be notified after date selection Getter for currentDateChangeListener

  Specified by:
    `getCurrentDateChangeListener` in class `UICalendar`
  Returns:
    currentDateChangeListener value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  data Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  data Getter for data

  Returns:
    data value from local variable or value bindings

### setDataModel

    public void setDataModel(org.richfaces.model.CalendarDataModel __dataModel)

  Used to provide data for calendar elements. If data is not provided, all Data Model related functions are disabled Setter for dataModel

  Specified by:
    `setDataModel` in class `UICalendar`
  Parameters:
    `dataModel` - - new value

### getDataModel

    public org.richfaces.model.CalendarDataModel getDataModel()

  Used to provide data for calendar elements. If data is not provided, all Data Model related functions are disabled Getter for dataModel

  Specified by:
    `getDataModel` in class `UICalendar`
  Returns:
    dataModel value from local variable or value bindings

### setDatePattern

    public void setDatePattern(java.lang.String __datePattern)

  Defines date pattern Setter for datePattern

  Specified by:
    `setDatePattern` in class `UICalendar`
  Parameters:
    `datePattern` - - new value

### getDatePattern

    public java.lang.String getDatePattern()

  Defines date pattern Getter for datePattern

  Specified by:
    `getDatePattern` in class `UICalendar`
  Returns:
    datePattern value from local variable or value bindings

### setDayStyleClass

    public void setDayStyleClass(java.lang.String __dayStyleClass)

  Should be binded to some JS function that will provide style classes for special sets of days highlighting. Setter for dayStyleClass

  Specified by:
    `setDayStyleClass` in class `UICalendar`
  Parameters:
    `dayStyleClass` - - new value

### getDayStyleClass

    public java.lang.String getDayStyleClass()

  Should be binded to some JS function that will provide style classes for special sets of days highlighting. Getter for dayStyleClass

  Specified by:
    `getDayStyleClass` in class `UICalendar`
  Returns:
    dayStyleClass value from local variable or value bindings

### setDirection

    public void setDirection(java.lang.String __direction)

  Defines direction of the calendar popup (top-left, top-right, bottom-left, bottom-right (Default), auto) Setter for direction

  Specified by:
    `setDirection` in class `UICalendar`
  Parameters:
    `direction` - - new value

### getDirection

    public java.lang.String getDirection()

  Defines direction of the calendar popup (top-left, top-right, bottom-left, bottom-right (Default), auto) Getter for direction

  Specified by:
    `getDirection` in class `UICalendar`
  Returns:
    direction value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  If "true", rendered is disabled. In "popup" mode both controls are disabled Setter for disabled

  Specified by:
    `setDisabled` in class `UICalendar`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  If "true", rendered is disabled. In "popup" mode both controls are disabled Getter for disabled

  Specified by:
    `isDisabled` in class `UICalendar`
  Returns:
    disabled value from local variable or value bindings

### setEnableManualInput

    public void setEnableManualInput(boolean __enableManualInput)

  If "true" calendar input will be editable and it will be possible to change the date manualy. If "false" value for this attribute makes a text field "read-only", so the value can be changed only from a handle Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### isEnableManualInput

    public boolean isEnableManualInput()

  If "true" calendar input will be editable and it will be possible to change the date manualy. If "false" value for this attribute makes a text field "read-only", so the value can be changed only from a handle Getter for enableManualInput

  Returns:
    enableManualInput value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setHorizontalOffset

    public void setHorizontalOffset(int __horizontalOffset)

  Sets the horizontal offset between button and calendar element conjunction point Setter for horizontalOffset

  Specified by:
    `setHorizontalOffset` in class `UICalendar`
  Parameters:
    `horizontalOffset` - - new value

### getHorizontalOffset

    public int getHorizontalOffset()

  Sets the horizontal offset between button and calendar element conjunction point Getter for horizontalOffset

  Specified by:
    `getHorizontalOffset` in class `UICalendar`
  Returns:
    horizontalOffset value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setInputClass

    public void setInputClass(java.lang.String __inputClass)

  Style Class attribute for the text field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### getInputClass

    public java.lang.String getInputClass()

  Style Class attribute for the text field Getter for inputClass

  Returns:
    inputClass value from local variable or value bindings

### setInputSize

    public void setInputSize(int __inputSize)

  ${prop.xmlEncodedDescription} Setter for inputSize

  Parameters:
    `inputSize` - - new value

### getInputSize

    public int getInputSize()

  ${prop.xmlEncodedDescription} Getter for inputSize

  Returns:
    inputSize value from local variable or value bindings

### setInputStyle

    public void setInputStyle(java.lang.String __inputStyle)

  Style attribute for text field Setter for inputStyle

  Parameters:
    `inputStyle` - - new value

### getInputStyle

    public java.lang.String getInputStyle()

  Style attribute for text field Getter for inputStyle

  Returns:
    inputStyle value from local variable or value bindings

### setIsDayEnabled

    public void setIsDayEnabled(java.lang.String __isDayEnabled)

  Should be binded to some JS function that returns day state. Setter for isDayEnabled

  Specified by:
    `setIsDayEnabled` in class `UICalendar`
  Parameters:
    `isDayEnabled` - - new value

### getIsDayEnabled

    public java.lang.String getIsDayEnabled()

  Should be binded to some JS function that returns day state. Getter for isDayEnabled

  Specified by:
    `getIsDayEnabled` in class `UICalendar`
  Returns:
    isDayEnabled value from local variable or value bindings

### setJointPoint

    public void setJointPoint(java.lang.String __jointPoint)

  Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto) Setter for jointPoint

  Specified by:
    `setJointPoint` in class `UICalendar`
  Parameters:
    `jointPoint` - - new value

### getJointPoint

    public java.lang.String getJointPoint()

  Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto) Getter for jointPoint

  Specified by:
    `getJointPoint` in class `UICalendar`
  Returns:
    jointPoint value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setLocale

    public void setLocale(java.lang.Object __locale)

  Used for locale definition Setter for locale

  Specified by:
    `setLocale` in class `UICalendar`
  Parameters:
    `locale` - - new value

### getLocale

    public java.lang.Object getLocale()

  Used for locale definition Getter for locale

  Specified by:
    `getLocale` in class `UICalendar`
  Returns:
    locale value from local variable or value bindings

### setMode

    public void setMode(java.lang.String __mode)

  Valid values = ajax or client Setter for mode

  Specified by:
    `setMode` in class `UICalendar`
  Parameters:
    `mode` - - new value

### getMode

    public java.lang.String getMode()

  Valid values = ajax or client Getter for mode

  Specified by:
    `getMode` in class `UICalendar`
  Returns:
    mode value from local variable or value bindings

### setMonthLabels

    public void setMonthLabels(java.lang.Object __monthLabels)

  Attribute that allows to customize names of the months. Should accept list with the month names Setter for monthLabels

  Specified by:
    `setMonthLabels` in class `UICalendar`
  Parameters:
    `monthLabels` - - new value

### getMonthLabels

    public java.lang.Object getMonthLabels()

  Attribute that allows to customize names of the months. Should accept list with the month names Getter for monthLabels

  Specified by:
    `getMonthLabels` in class `UICalendar`
  Returns:
    monthLabels value from local variable or value bindings

### setMonthLabelsShort

    public void setMonthLabelsShort(java.lang.Object __monthLabelsShort)

  Attribute that allows to customize short names of the months. Should accept list with the month names Setter for monthLabelsShort

  Specified by:
    `setMonthLabelsShort` in class `UICalendar`
  Parameters:
    `monthLabelsShort` - - new value

### getMonthLabelsShort

    public java.lang.Object getMonthLabelsShort()

  Attribute that allows to customize short names of the months. Should accept list with the month names Getter for monthLabelsShort

  Specified by:
    `getMonthLabelsShort` in class `UICalendar`
  Returns:
    monthLabelsShort value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOnchanged

    public void setOnchanged(java.lang.String __onchanged)

  onChanged event handler Setter for onchanged

  Parameters:
    `onchanged` - - new value

### getOnchanged

    public java.lang.String getOnchanged()

  onChanged event handler Getter for onchanged

  Returns:
    onchanged value from local variable or value bindings

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

  onCollapse event handler Setter for oncollapse

  Parameters:
    `oncollapse` - - new value

### getOncollapse

    public java.lang.String getOncollapse()

  onCollapse event handler Getter for oncollapse

  Returns:
    oncollapse value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOncurrentdateselect

    public void setOncurrentdateselect(java.lang.String __oncurrentdateselect)

  onCurrentDateSelect event handler Setter for oncurrentdateselect

  Parameters:
    `oncurrentdateselect` - - new value

### getOncurrentdateselect

    public java.lang.String getOncurrentdateselect()

  onCurrentDateSelect event handler Getter for oncurrentdateselect

  Returns:
    oncurrentdateselect value from local variable or value bindings

### setOncurrentdateselected

    public void setOncurrentdateselected(java.lang.String __oncurrentdateselected)

  onCurrentDateSelected event handler Setter for oncurrentdateselected

  Parameters:
    `oncurrentdateselected` - - new value

### getOncurrentdateselected

    public java.lang.String getOncurrentdateselected()

  onCurrentDateSelected event handler Getter for oncurrentdateselected

  Returns:
    oncurrentdateselected value from local variable or value bindings

### setOndatemouseout

    public void setOndatemouseout(java.lang.String __ondatemouseout)

  onDateMouseOut event handler Setter for ondatemouseout

  Parameters:
    `ondatemouseout` - - new value

### getOndatemouseout

    public java.lang.String getOndatemouseout()

  onDateMouseOut event handler Getter for ondatemouseout

  Returns:
    ondatemouseout value from local variable or value bindings

### setOndatemouseover

    public void setOndatemouseover(java.lang.String __ondatemouseover)

  onDateMouseOver event handler Setter for ondatemouseover

  Parameters:
    `ondatemouseover` - - new value

### getOndatemouseover

    public java.lang.String getOndatemouseover()

  onDateMouseOver event handler Getter for ondatemouseover

  Returns:
    ondatemouseover value from local variable or value bindings

### setOndateselect

    public void setOndateselect(java.lang.String __ondateselect)

  onDateSelect event handler Setter for ondateselect

  Parameters:
    `ondateselect` - - new value

### getOndateselect

    public java.lang.String getOndateselect()

  onDateSelect event handler Getter for ondateselect

  Returns:
    ondateselect value from local variable or value bindings

### setOndateselected

    public void setOndateselected(java.lang.String __ondateselected)

  onDateSelected event handler Setter for ondateselected

  Parameters:
    `ondateselected` - - new value

### getOndateselected

    public java.lang.String getOndateselected()

  onDateSelected event handler Getter for ondateselected

  Returns:
    ondateselected value from local variable or value bindings

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

  onExpand event handler Setter for onexpand

  Parameters:
    `onexpand` - - new value

### getOnexpand

    public java.lang.String getOnexpand()

  onExpand event handler Getter for onexpand

  Returns:
    onexpand value from local variable or value bindings

### setOninputblur

    public void setOninputblur(java.lang.String __oninputblur)

  input onBlur event handler Setter for oninputblur

  Parameters:
    `oninputblur` - - new value

### getOninputblur

    public java.lang.String getOninputblur()

  input onBlur event handler Getter for oninputblur

  Returns:
    oninputblur value from local variable or value bindings

### setOninputchange

    public void setOninputchange(java.lang.String __oninputchange)

  input onChange event handler Setter for oninputchange

  Parameters:
    `oninputchange` - - new value

### getOninputchange

    public java.lang.String getOninputchange()

  input onChange event handler Getter for oninputchange

  Returns:
    oninputchange value from local variable or value bindings

### setOninputclick

    public void setOninputclick(java.lang.String __oninputclick)

  input onClick event handler Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### getOninputclick

    public java.lang.String getOninputclick()

  input onClick event handler Getter for oninputclick

  Returns:
    oninputclick value from local variable or value bindings

### setOninputfocus

    public void setOninputfocus(java.lang.String __oninputfocus)

  input onFocus event handler Setter for oninputfocus

  Parameters:
    `oninputfocus` - - new value

### getOninputfocus

    public java.lang.String getOninputfocus()

  input onFocus event handler Getter for oninputfocus

  Returns:
    oninputfocus value from local variable or value bindings

### setOninputkeydown

    public void setOninputkeydown(java.lang.String __oninputkeydown)

  input onKeyDown event handler Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### getOninputkeydown

    public java.lang.String getOninputkeydown()

  input onKeyDown event handler Getter for oninputkeydown

  Returns:
    oninputkeydown value from local variable or value bindings

### setOninputkeypress

    public void setOninputkeypress(java.lang.String __oninputkeypress)

  input onKeyPress event handler Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### getOninputkeypress

    public java.lang.String getOninputkeypress()

  input onKeyPress event handler Getter for oninputkeypress

  Returns:
    oninputkeypress value from local variable or value bindings

### setOninputkeyup

    public void setOninputkeyup(java.lang.String __oninputkeyup)

  input onKeyUp event handler Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### getOninputkeyup

    public java.lang.String getOninputkeyup()

  input onKeyUp event handler Getter for oninputkeyup

  Returns:
    oninputkeyup value from local variable or value bindings

### setOninputselect

    public void setOninputselect(java.lang.String __oninputselect)

  input onSelect event handler Setter for oninputselect

  Parameters:
    `oninputselect` - - new value

### getOninputselect

    public java.lang.String getOninputselect()

  input onSelect event handler Getter for oninputselect

  Returns:
    oninputselect value from local variable or value bindings

### setOntimeselect

    public void setOntimeselect(java.lang.String __ontimeselect)

  onTimeSelect event handler Setter for ontimeselect

  Parameters:
    `ontimeselect` - - new value

### getOntimeselect

    public java.lang.String getOntimeselect()

  onTimeSelect event handler Getter for ontimeselect

  Returns:
    ontimeselect value from local variable or value bindings

### setOntimeselected

    public void setOntimeselected(java.lang.String __ontimeselected)

  onTimeSelected event handler Setter for ontimeselected

  Parameters:
    `ontimeselected` - - new value

### getOntimeselected

    public java.lang.String getOntimeselected()

  onTimeSelected event handler Getter for ontimeselected

  Returns:
    ontimeselected value from local variable or value bindings

### setPopup

    public void setPopup(boolean __popup)

  If "true" calendar will be rendered initially as hidden with additional elements for calling as popup Setter for popup

  Specified by:
    `setPopup` in class `UICalendar`
  Parameters:
    `popup` - - new value

### isPopup

    public boolean isPopup()

  If "true" calendar will be rendered initially as hidden with additional elements for calling as popup Getter for popup

  Specified by:
    `isPopup` in class `UICalendar`
  Returns:
    popup value from local variable or value bindings

### setPreloadDateRangeBegin

    public void setPreloadDateRangeBegin(java.lang.Object __preloadDateRangeBegin)

  Define the initial range of date which will be loaded to client from dataModel under rendering Setter for preloadDateRangeBegin

  Specified by:
    `setPreloadDateRangeBegin` in class `UICalendar`
  Parameters:
    `preloadDateRangeBegin` - - new value

### getPreloadDateRangeBegin

    public java.lang.Object getPreloadDateRangeBegin()

  Define the initial range of date which will be loaded to client from dataModel under rendering Getter for preloadDateRangeBegin

  Specified by:
    `getPreloadDateRangeBegin` in class `UICalendar`
  Returns:
    preloadDateRangeBegin value from local variable or value bindings

### setPreloadDateRangeEnd

    public void setPreloadDateRangeEnd(java.lang.Object __preloadDateRangeEnd)

  Defines the last range of date which will be loaded to client from dataModel under rendering Setter for preloadDateRangeEnd

  Specified by:
    `setPreloadDateRangeEnd` in class `UICalendar`
  Parameters:
    `preloadDateRangeEnd` - - new value

### getPreloadDateRangeEnd

    public java.lang.Object getPreloadDateRangeEnd()

  Defines the last range of date which will be loaded to client from dataModel under rendering Getter for preloadDateRangeEnd

  Specified by:
    `getPreloadDateRangeEnd` in class `UICalendar`
  Returns:
    preloadDateRangeEnd value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setShowApplyButton

    public void setShowApplyButton(boolean __showApplyButton)

  If false ApplyButton should not be shown Setter for showApplyButton

  Specified by:
    `setShowApplyButton` in class `UICalendar`
  Parameters:
    `showApplyButton` - - new value

### isShowApplyButton

    public boolean isShowApplyButton()

  If false ApplyButton should not be shown Getter for showApplyButton

  Specified by:
    `isShowApplyButton` in class `UICalendar`
  Returns:
    showApplyButton value from local variable or value bindings

### setShowFooter

    public void setShowFooter(boolean __showFooter)

  If false Calendar's footer should not be shown Setter for showFooter

  Specified by:
    `setShowFooter` in class `UICalendar`
  Parameters:
    `showFooter` - - new value

### isShowFooter

    public boolean isShowFooter()

  If false Calendar's footer should not be shown Getter for showFooter

  Specified by:
    `isShowFooter` in class `UICalendar`
  Returns:
    showFooter value from local variable or value bindings

### setShowHeader

    public void setShowHeader(boolean __showHeader)

  If false Calendar's header should not be shown Setter for showHeader

  Specified by:
    `setShowHeader` in class `UICalendar`
  Parameters:
    `showHeader` - - new value

### isShowHeader

    public boolean isShowHeader()

  If false Calendar's header should not be shown Getter for showHeader

  Specified by:
    `isShowHeader` in class `UICalendar`
  Returns:
    showHeader value from local variable or value bindings

### setShowInput

    public void setShowInput(boolean __showInput)

  "false" value for this attribute makes text field invisible. If "true" - input field will be shown Setter for showInput

  Parameters:
    `showInput` - - new value

### isShowInput

    public boolean isShowInput()

  "false" value for this attribute makes text field invisible. If "true" - input field will be shown Getter for showInput

  Returns:
    showInput value from local variable or value bindings

### setShowWeekDaysBar

    public void setShowWeekDaysBar(boolean __showWeekDaysBar)

  If false this bar should not be shown Setter for showWeekDaysBar

  Specified by:
    `setShowWeekDaysBar` in class `UICalendar`
  Parameters:
    `showWeekDaysBar` - - new value

### isShowWeekDaysBar

    public boolean isShowWeekDaysBar()

  If false this bar should not be shown Getter for showWeekDaysBar

  Specified by:
    `isShowWeekDaysBar` in class `UICalendar`
  Returns:
    showWeekDaysBar value from local variable or value bindings

### setShowWeeksBar

    public void setShowWeeksBar(boolean __showWeeksBar)

  If false this bar should not be shown Setter for showWeeksBar

  Specified by:
    `setShowWeeksBar` in class `UICalendar`
  Parameters:
    `showWeeksBar` - - new value

### isShowWeeksBar

    public boolean isShowWeeksBar()

  If false this bar should not be shown Getter for showWeeksBar

  Specified by:
    `isShowWeeksBar` in class `UICalendar`
  Returns:
    showWeeksBar value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTimeZone

    public void setTimeZone(java.util.TimeZone __timeZone)

  Used for current date calculations Setter for timeZone

  Specified by:
    `setTimeZone` in class `UICalendar`
  Parameters:
    `timeZone` - - new value

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Used for current date calculations Getter for timeZone

  Specified by:
    `getTimeZone` in class `UICalendar`
  Returns:
    timeZone value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setTodayControlMode

    public void setTodayControlMode(java.lang.String __todayControlMode)

  Possible values are "scroll", "select", "hidden" Setter for todayControlMode

  Specified by:
    `setTodayControlMode` in class `UICalendar`
  Parameters:
    `todayControlMode` - - new value

### getTodayControlMode

    public java.lang.String getTodayControlMode()

  Possible values are "scroll", "select", "hidden" Getter for todayControlMode

  Specified by:
    `getTodayControlMode` in class `UICalendar`
  Returns:
    todayControlMode value from local variable or value bindings

### setToolTipMode

    public void setToolTipMode(java.lang.String __toolTipMode)

  Used to specify mode to load tooltips. Valid values are "none", "single" and "batch" Setter for toolTipMode

  Specified by:
    `setToolTipMode` in class `UICalendar`
  Parameters:
    `toolTipMode` - - new value

### getToolTipMode

    public java.lang.String getToolTipMode()

  Used to specify mode to load tooltips. Valid values are "none", "single" and "batch" Getter for toolTipMode

  Specified by:
    `getToolTipMode` in class `UICalendar`
  Returns:
    toolTipMode value from local variable or value bindings

### setVerticalOffset

    public void setVerticalOffset(int __verticalOffset)

  Sets the vertical offset between button and calendar element conjunction point Setter for verticalOffset

  Specified by:
    `setVerticalOffset` in class `UICalendar`
  Parameters:
    `verticalOffset` - - new value

### getVerticalOffset

    public int getVerticalOffset()

  Sets the vertical offset between button and calendar element conjunction point Getter for verticalOffset

  Specified by:
    `getVerticalOffset` in class `UICalendar`
  Returns:
    verticalOffset value from local variable or value bindings

### setWeekDayLabels

    public void setWeekDayLabels(java.lang.Object __weekDayLabels)

  List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Setter for weekDayLabels

  Specified by:
    `setWeekDayLabels` in class `UICalendar`
  Parameters:
    `weekDayLabels` - - new value

### getWeekDayLabels

    public java.lang.Object getWeekDayLabels()

  List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Getter for weekDayLabels

  Specified by:
    `getWeekDayLabels` in class `UICalendar`
  Returns:
    weekDayLabels value from local variable or value bindings

### setWeekDayLabelsShort

    public void setWeekDayLabelsShort(java.lang.Object __weekDayLabelsShort)

  Attribute that allows to customize short names of the weeks. Should accept list with the weeks names. Setter for weekDayLabelsShort

  Specified by:
    `setWeekDayLabelsShort` in class `UICalendar`
  Parameters:
    `weekDayLabelsShort` - - new value

### getWeekDayLabelsShort

    public java.lang.Object getWeekDayLabelsShort()

  Attribute that allows to customize short names of the weeks. Should accept list with the weeks names. Getter for weekDayLabelsShort

  Specified by:
    `getWeekDayLabelsShort` in class `UICalendar`
  Returns:
    weekDayLabelsShort value from local variable or value bindings

### setZindex

    public void setZindex(int __zindex)

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

  Parameters:
    `zindex` - - new value

### getZindex

    public int getZindex()

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex

  Returns:
    zindex value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UICalendar`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UICalendar`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.